> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Business Identity

> Create a new Business Identity using the data provided in the request body.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json post /v1/identities/business
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/identities/business:
    post:
      tags:
        - Identities
      summary: Create a new Business Identity
      description: >-
        Create a new Business Identity using the data provided in the request
        body.
      operationId: IdentitiesController_createBusinessIdentity
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BusinessIdentityCreateDto'
      responses:
        '201':
          description: Successfully created Business Identity data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdentityEntity'
        '400':
          description: The Business Identity data is invalid or incomplete.
      security:
        - bearer: []
components:
  schemas:
    BusinessIdentityCreateDto:
      type: object
      properties:
        email:
          type: string
          format: email
          description: The primary email address of the business
          example: business@example.com
        phone:
          type: string
          minLength: 7
          maxLength: 20
          description: The phone number of the business
          example: '+1234567890'
        taxId:
          type: string
          minLength: 3
          maxLength: 20
          description: >-
            The [tax
            identification](https://docs.buildborderless.com/docs/business#/tax-identification-numbers-by-country)
            number of the business. Required for EEA-incorporated businesses by
            2026-12-31.
          example: '123456789'
        businessRegistrationNumber:
          type: string
          minLength: 3
          maxLength: 50
          description: >-
            The business registration number issued by the incorporation
            country's registry (e.g. SIREN for France, Companies House number
            for the UK). Enforced for EEA-incorporated businesses at Bridge SEPA
            compliance-check time.
          example: '732829320'
        hasForeignTaxRegistration:
          type: boolean
          description: >-
            Whether the business has tax registrations with any tax authority
            outside its incorporation country. Required for EEA-incorporated
            businesses by 2026-12-31.
          example: false
        name:
          type: string
          minLength: 3
          maxLength: 100
          description: The name of the business
          example: Example Corp
        dateOfIncorporation:
          type: string
          description: The date when the business was incorporated in format yyyy-mm-dd
          example: '2003-01-01'
          format: date
        address:
          description: The address of the main business location
          allOf:
            - $ref: '#/components/schemas/PostalAddressCreateDto'
        description:
          type: string
          maxLength: 255
          description: A brief description of the business
          example: A technology solutions provider
        sourceOfFunds:
          description: >-
            The [source of
            funds](https://docs.buildborderless.com/docs/business#/source-of-funds)
            for the business
          example: inter_company_funds
          allOf:
            - $ref: '#/components/schemas/SourceOfFunds'
        sourceOfFundsDescription:
          type: string
          maxLength: 255
          description: Description of the source of funds for the business' account
          example: Profits from sales of goods and services
        businessIndustryCode:
          type: string
          enum:
            - '111110'
            - '111120'
            - '111130'
            - '111140'
            - '111150'
            - '111160'
            - '111191'
            - '111199'
            - '111211'
            - '111219'
            - '111310'
            - '111320'
            - '111331'
            - '111332'
            - '111333'
            - '111334'
            - '111335'
            - '111336'
            - '111339'
            - '111411'
            - '111419'
            - '111421'
            - '111422'
            - '111910'
            - '111920'
            - '111930'
            - '111940'
            - '111991'
            - '111992'
            - '111998'
            - '112111'
            - '112112'
            - '112120'
            - '112210'
            - '112310'
            - '112320'
            - '112330'
            - '112340'
            - '112390'
            - '112410'
            - '112420'
            - '112511'
            - '112512'
            - '112519'
            - '112910'
            - '112920'
            - '112930'
            - '112990'
            - '113110'
            - '113210'
            - '113310'
            - '114111'
            - '114112'
            - '114119'
            - '114210'
            - '115111'
            - '115112'
            - '115113'
            - '115114'
            - '115115'
            - '115116'
            - '115210'
            - '115310'
            - '211120'
            - '211130'
            - '212114'
            - '212115'
            - '212210'
            - '212220'
            - '212230'
            - '212290'
            - '212311'
            - '212312'
            - '212313'
            - '212319'
            - '212321'
            - '212322'
            - '212323'
            - '212390'
            - '213111'
            - '213112'
            - '213113'
            - '213114'
            - '213115'
            - '221111'
            - '221112'
            - '221113'
            - '221114'
            - '221115'
            - '221116'
            - '221117'
            - '221118'
            - '221121'
            - '221122'
            - '221210'
            - '221310'
            - '221320'
            - '221330'
            - '236115'
            - '236116'
            - '236117'
            - '236118'
            - '236210'
            - '236220'
            - '237110'
            - '237120'
            - '237130'
            - '237210'
            - '237310'
            - '237990'
            - '238110'
            - '238111'
            - '238112'
            - '238121'
            - '238122'
            - '238131'
            - '238132'
            - '238140'
            - '238141'
            - '238142'
            - '238151'
            - '238152'
            - '238160'
            - '238161'
            - '238162'
            - '238171'
            - '238172'
            - '238191'
            - '238192'
            - '238210'
            - '238211'
            - '238212'
            - '238220'
            - '238221'
            - '238222'
            - '238291'
            - '238292'
            - '238311'
            - '238312'
            - '238321'
            - '238322'
            - '238331'
            - '238332'
            - '238341'
            - '238342'
            - '238350'
            - '238351'
            - '238352'
            - '238391'
            - '238392'
            - '238911'
            - '238912'
            - '238990'
            - '238991'
            - '238992'
            - '311111'
            - '311119'
            - '311211'
            - '311212'
            - '311213'
            - '311221'
            - '311224'
            - '311225'
            - '311230'
            - '311313'
            - '311314'
            - '311340'
            - '311351'
            - '311352'
            - '311411'
            - '311412'
            - '311421'
            - '311422'
            - '311423'
            - '311511'
            - '311512'
            - '311513'
            - '311514'
            - '311520'
            - '311611'
            - '311612'
            - '311613'
            - '311615'
            - '311710'
            - '311811'
            - '311812'
            - '311813'
            - '311821'
            - '311824'
            - '311830'
            - '311911'
            - '311919'
            - '311920'
            - '311930'
            - '311941'
            - '311942'
            - '311991'
            - '311999'
            - '312111'
            - '312112'
            - '312113'
            - '312120'
            - '312130'
            - '312140'
            - '312230'
            - '313110'
            - '313210'
            - '313220'
            - '313230'
            - '313240'
            - '313310'
            - '313320'
            - '314110'
            - '314120'
            - '314910'
            - '314994'
            - '314999'
            - '315120'
            - '315210'
            - '315250'
            - '315990'
            - '316110'
            - '316210'
            - '316990'
            - '321113'
            - '321114'
            - '321211'
            - '321212'
            - '321215'
            - '321219'
            - '321911'
            - '321912'
            - '321918'
            - '321920'
            - '321991'
            - '321992'
            - '321999'
            - '322110'
            - '322120'
            - '322130'
            - '322211'
            - '322212'
            - '322219'
            - '322220'
            - '322230'
            - '322291'
            - '322299'
            - '323111'
            - '323113'
            - '323117'
            - '323120'
            - '324110'
            - '324121'
            - '324122'
            - '324191'
            - '324199'
            - '325110'
            - '325120'
            - '325130'
            - '325180'
            - '325193'
            - '325194'
            - '325199'
            - '325211'
            - '325212'
            - '325220'
            - '325311'
            - '325312'
            - '325314'
            - '325315'
            - '325320'
            - '325411'
            - '325412'
            - '325413'
            - '325414'
            - '325510'
            - '325520'
            - '325611'
            - '325612'
            - '325613'
            - '325620'
            - '325910'
            - '325920'
            - '325991'
            - '325992'
            - '325998'
            - '326111'
            - '326112'
            - '326113'
            - '326121'
            - '326122'
            - '326130'
            - '326140'
            - '326150'
            - '326160'
            - '326191'
            - '326199'
            - '326211'
            - '326212'
            - '326220'
            - '326291'
            - '326299'
            - '327110'
            - '327120'
            - '327211'
            - '327212'
            - '327213'
            - '327215'
            - '327310'
            - '327320'
            - '327331'
            - '327332'
            - '327390'
            - '327410'
            - '327420'
            - '327910'
            - '327991'
            - '327992'
            - '327993'
            - '327999'
            - '331110'
            - '331210'
            - '331221'
            - '331222'
            - '331313'
            - '331314'
            - '331315'
            - '331318'
            - '331410'
            - '331420'
            - '331491'
            - '331492'
            - '331511'
            - '331512'
            - '331513'
            - '331523'
            - '331524'
            - '331529'
            - '332111'
            - '332112'
            - '332114'
            - '332117'
            - '332119'
            - '332215'
            - '332216'
            - '332311'
            - '332312'
            - '332313'
            - '332321'
            - '332322'
            - '332323'
            - '332410'
            - '332420'
            - '332431'
            - '332439'
            - '332510'
            - '332613'
            - '332618'
            - '332710'
            - '332721'
            - '332722'
            - '332811'
            - '332812'
            - '332813'
            - '332911'
            - '332912'
            - '332913'
            - '332919'
            - '332991'
            - '332992'
            - '332993'
            - '332994'
            - '332996'
            - '332999'
            - '333111'
            - '333112'
            - '333120'
            - '333131'
            - '333132'
            - '333241'
            - '333242'
            - '333243'
            - '333248'
            - '333310'
            - '333413'
            - '333414'
            - '333415'
            - '333511'
            - '333514'
            - '333515'
            - '333517'
            - '333519'
            - '333611'
            - '333612'
            - '333613'
            - '333618'
            - '333912'
            - '333914'
            - '333921'
            - '333922'
            - '333923'
            - '333924'
            - '333991'
            - '333992'
            - '333993'
            - '333994'
            - '333995'
            - '333996'
            - '333998'
            - '334111'
            - '334112'
            - '334118'
            - '334210'
            - '334220'
            - '334290'
            - '334310'
            - '334412'
            - '334413'
            - '334416'
            - '334417'
            - '334418'
            - '334419'
            - '334510'
            - '334511'
            - '334512'
            - '334513'
            - '334514'
            - '334515'
            - '334516'
            - '334517'
            - '334519'
            - '334610'
            - '335131'
            - '335132'
            - '335139'
            - '335210'
            - '335220'
            - '335311'
            - '335312'
            - '335313'
            - '335314'
            - '335910'
            - '335921'
            - '335929'
            - '335931'
            - '335932'
            - '335991'
            - '335999'
            - '336110'
            - '336120'
            - '336211'
            - '336212'
            - '336213'
            - '336214'
            - '336310'
            - '336320'
            - '336330'
            - '336340'
            - '336350'
            - '336360'
            - '336370'
            - '336390'
            - '336411'
            - '336412'
            - '336413'
            - '336414'
            - '336415'
            - '336419'
            - '336510'
            - '336611'
            - '336612'
            - '336991'
            - '336992'
            - '336999'
            - '337110'
            - '337121'
            - '337122'
            - '337126'
            - '337127'
            - '337211'
            - '337212'
            - '337214'
            - '337215'
            - '337910'
            - '337920'
            - '339112'
            - '339113'
            - '339114'
            - '339115'
            - '339116'
            - '339910'
            - '339920'
            - '339930'
            - '339940'
            - '339950'
            - '339991'
            - '339992'
            - '339993'
            - '339994'
            - '339995'
            - '339999'
            - '423110'
            - '423120'
            - '423130'
            - '423140'
            - '423210'
            - '423220'
            - '423310'
            - '423320'
            - '423330'
            - '423390'
            - '423410'
            - '423420'
            - '423430'
            - '423440'
            - '423450'
            - '423460'
            - '423490'
            - '423510'
            - '423520'
            - '423610'
            - '423620'
            - '423690'
            - '423710'
            - '423720'
            - '423730'
            - '423740'
            - '423810'
            - '423820'
            - '423830'
            - '423840'
            - '423850'
            - '423860'
            - '423910'
            - '423920'
            - '423930'
            - '423940'
            - '423990'
            - '424110'
            - '424120'
            - '424130'
            - '424210'
            - '424310'
            - '424340'
            - '424350'
            - '424410'
            - '424420'
            - '424430'
            - '424440'
            - '424450'
            - '424460'
            - '424470'
            - '424480'
            - '424490'
            - '424510'
            - '424520'
            - '424590'
            - '424610'
            - '424690'
            - '424710'
            - '424720'
            - '424810'
            - '424820'
            - '424910'
            - '424920'
            - '424930'
            - '424940'
            - '424950'
            - '424990'
            - '425120'
            - '441110'
            - '441120'
            - '441210'
            - '441222'
            - '441227'
            - '441330'
            - '441340'
            - '444110'
            - '444120'
            - '444140'
            - '444180'
            - '444230'
            - '444240'
            - '445110'
            - '445131'
            - '445132'
            - '445230'
            - '445240'
            - '445250'
            - '445291'
            - '445292'
            - '445298'
            - '445320'
            - '449110'
            - '449121'
            - '449122'
            - '449129'
            - '449210'
            - '454113'
            - '454390'
            - '455110'
            - '455211'
            - '455219'
            - '456110'
            - '456120'
            - '456130'
            - '456191'
            - '456199'
            - '457110'
            - '457120'
            - '457210'
            - '458110'
            - '458210'
            - '458310'
            - '458320'
            - '459110'
            - '459120'
            - '459130'
            - '459140'
            - '459210'
            - '459310'
            - '459410'
            - '459420'
            - '459510'
            - '459910'
            - '459920'
            - '459930'
            - '459991'
            - '459999'
            - '481111'
            - '481112'
            - '481211'
            - '481212'
            - '481219'
            - '482111'
            - '482112'
            - '483111'
            - '483112'
            - '483113'
            - '483114'
            - '483211'
            - '483212'
            - '484110'
            - '484121'
            - '484122'
            - '484210'
            - '484220'
            - '484230'
            - '485111'
            - '485112'
            - '485113'
            - '485119'
            - '485210'
            - '485310'
            - '485320'
            - '485410'
            - '485510'
            - '485991'
            - '485999'
            - '486110'
            - '486210'
            - '486910'
            - '486990'
            - '487110'
            - '487210'
            - '487990'
            - '488111'
            - '488119'
            - '488190'
            - '488210'
            - '488310'
            - '488320'
            - '488330'
            - '488390'
            - '488410'
            - '488490'
            - '488510'
            - '488991'
            - '488999'
            - '491110'
            - '492110'
            - '492210'
            - '493110'
            - '493120'
            - '493130'
            - '493190'
            - '512110'
            - '512120'
            - '512131'
            - '512132'
            - '512191'
            - '512199'
            - '512230'
            - '512240'
            - '512250'
            - '512290'
            - '513110'
            - '513120'
            - '513130'
            - '513140'
            - '513191'
            - '513199'
            - '513210'
            - '515210'
            - '516110'
            - '516120'
            - '516210'
            - '517111'
            - '517112'
            - '517121'
            - '517410'
            - '517810'
            - '518210'
            - '519210'
            - '519290'
            - '521110'
            - '522110'
            - '522130'
            - '522180'
            - '522210'
            - '522220'
            - '522291'
            - '522292'
            - '522298'
            - '522299'
            - '522310'
            - '522320'
            - '522390'
            - '523150'
            - '523160'
            - '523210'
            - '523910'
            - '523940'
            - '523991'
            - '523999'
            - '524113'
            - '524114'
            - '524126'
            - '524127'
            - '524128'
            - '524130'
            - '524210'
            - '524291'
            - '524292'
            - '524298'
            - '525110'
            - '525120'
            - '525190'
            - '525910'
            - '525920'
            - '525990'
            - '531110'
            - '531120'
            - '531130'
            - '531190'
            - '531210'
            - '531311'
            - '531312'
            - '531320'
            - '531390'
            - '532111'
            - '532112'
            - '532120'
            - '532210'
            - '532281'
            - '532282'
            - '532283'
            - '532284'
            - '532289'
            - '532310'
            - '532411'
            - '532412'
            - '532420'
            - '532490'
            - '533110'
            - '541110'
            - '541191'
            - '541199'
            - '541211'
            - '541213'
            - '541214'
            - '541219'
            - '541310'
            - '541320'
            - '541330'
            - '541340'
            - '541350'
            - '541360'
            - '541370'
            - '541380'
            - '541410'
            - '541420'
            - '541430'
            - '541490'
            - '541511'
            - '541512'
            - '541513'
            - '541519'
            - '541611'
            - '541612'
            - '541613'
            - '541614'
            - '541618'
            - '541620'
            - '541690'
            - '541713'
            - '541714'
            - '541715'
            - '541720'
            - '541810'
            - '541820'
            - '541830'
            - '541840'
            - '541850'
            - '541860'
            - '541870'
            - '541890'
            - '541910'
            - '541921'
            - '541922'
            - '541930'
            - '541940'
            - '541990'
            - '551111'
            - '551112'
            - '551114'
            - '561110'
            - '561210'
            - '561311'
            - '561312'
            - '561320'
            - '561330'
            - '561410'
            - '561421'
            - '561422'
            - '561431'
            - '561439'
            - '561440'
            - '561450'
            - '561491'
            - '561492'
            - '561499'
            - '561510'
            - '561520'
            - '561591'
            - '561599'
            - '561611'
            - '561612'
            - '561613'
            - '561621'
            - '561622'
            - '561710'
            - '561720'
            - '561730'
            - '561740'
            - '561790'
            - '561910'
            - '561920'
            - '561990'
            - '562111'
            - '562112'
            - '562119'
            - '562211'
            - '562212'
            - '562213'
            - '562219'
            - '562910'
            - '562920'
            - '562991'
            - '562998'
            - '611110'
            - '611210'
            - '611310'
            - '611410'
            - '611420'
            - '611430'
            - '611511'
            - '611512'
            - '611513'
            - '611519'
            - '611610'
            - '611620'
            - '611630'
            - '611691'
            - '611692'
            - '611699'
            - '611710'
            - '621111'
            - '621112'
            - '621210'
            - '621310'
            - '621320'
            - '621330'
            - '621340'
            - '621391'
            - '621399'
            - '621410'
            - '621420'
            - '621491'
            - '621492'
            - '621493'
            - '621498'
            - '621511'
            - '621512'
            - '621610'
            - '621910'
            - '621991'
            - '621999'
            - '622110'
            - '622210'
            - '622310'
            - '623110'
            - '623210'
            - '623220'
            - '623311'
            - '623312'
            - '623990'
            - '624110'
            - '624120'
            - '624190'
            - '624210'
            - '624221'
            - '624229'
            - '624230'
            - '624310'
            - '624410'
            - '711110'
            - '711120'
            - '711130'
            - '711190'
            - '711211'
            - '711212'
            - '711219'
            - '711310'
            - '711320'
            - '711410'
            - '711510'
            - '712110'
            - '712120'
            - '712130'
            - '712190'
            - '713110'
            - '713120'
            - '713210'
            - '713290'
            - '713910'
            - '713920'
            - '713930'
            - '713940'
            - '713950'
            - '713990'
            - '721110'
            - '721120'
            - '721191'
            - '721199'
            - '721211'
            - '721214'
            - '721310'
            - '722310'
            - '722320'
            - '722330'
            - '722410'
            - '722511'
            - '722513'
            - '722514'
            - '722515'
            - '811111'
            - '811114'
            - '811121'
            - '811122'
            - '811191'
            - '811192'
            - '811198'
            - '811210'
            - '811310'
            - '811411'
            - '811412'
            - '811420'
            - '811430'
            - '811490'
            - '812111'
            - '812112'
            - '812113'
            - '812191'
            - '812199'
            - '812210'
            - '812220'
            - '812310'
            - '812320'
            - '812331'
            - '812332'
            - '812910'
            - '812921'
            - '812922'
            - '812930'
            - '812990'
            - '813110'
            - '813211'
            - '813212'
            - '813219'
            - '813311'
            - '813312'
            - '813319'
            - '813410'
            - '813910'
            - '813920'
            - '813930'
            - '813940'
            - '813990'
            - '814110'
            - '921110'
            - '921120'
            - '921130'
            - '921140'
            - '921150'
            - '921190'
            - '922110'
            - '922120'
            - '922130'
            - '922140'
            - '922150'
            - '922160'
            - '922190'
            - '923110'
            - '923120'
            - '923130'
            - '923140'
            - '924110'
            - '924120'
            - '925110'
            - '925120'
            - '926110'
            - '926120'
            - '926130'
            - '926140'
            - '926150'
            - '927110'
            - '928110'
            - '928120'
            - '999999'
          description: >-
            The [industry
            code](http://docs.buildborderless.com/docs/business#/business-industry-list)
            of the business
          example: '336390'
        website:
          type: string
          format: uri
          description: The website URL of the business
          example: https://example.com
        businessType:
          description: How the business is legally registered
          example: Llc
          allOf:
            - $ref: '#/components/schemas/BusinessType'
        isDao:
          type: boolean
          description: >-
            Indicates if the business is a Decentralized Autonomous Organization
            (DAO)
          example: false
        hasMaterialIntermediaryOwnership:
          type: boolean
          description: >-
            The business has at least one intermediate legal entity owner with
            25% or more ownership
          example: false
        businessTradeName:
          type: string
          maxLength: 255
          description: >-
            The trading name or "Doing Business As" name under which the
            business operates publicly
          example: Example Solutions
        accountPurpose:
          description: >-
            The [primary
            purpose](https://docs.buildborderless.com/docs/business#/accounts-purpose)
            of the business account
          example: investment_purposes
          allOf:
            - $ref: '#/components/schemas/BusinessAccountPurpose'
        accountPurposeOther:
          type: string
          description: Other account purpose (required if accountPurpose is 'Other')
        ultimateBeneficialOwners:
          description: List of ultimate beneficial owners of the business
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/ExistingUltimateBeneficialOwnerDto'
                title: Beneficial Owner of Existing Identity
              - $ref: '#/components/schemas/NewUltimateBeneficialOwnerDto'
                title: Beneficial Owner of New Identity
        annualRevenue:
          description: Estimated annual revenue
          example: From1MTo10M
          allOf:
            - $ref: '#/components/schemas/AnnualRevenue'
        approximateMonthlyTransaction:
          description: >-
            Approximate number of transactions the business expects to conduct
            each month
          example: From10To100
          allOf:
            - $ref: '#/components/schemas/MonthlyTransactionCount'
        expectedMonthlyVolumeUsd:
          description: >-
            Estimated amount the business expects to send and receive each
            month, in USD
          example: From50KTo250K
          allOf:
            - $ref: '#/components/schemas/ExpectedMonthlyVolumeUsd'
        highRiskActivities:
          type: array
          items:
            $ref: '#/components/schemas/HighRiskActivity'
          description: >-
            List of high-risk activities the business is involved in. Defaults
            to ['none_of_the_above'] when omitted
          example:
            - none_of_the_above
        operatesInProhibitedCountries:
          type: boolean
          description: Does the business operate in any prohibited countries?
          example: false
        transmitsCustomersFunds:
          type: boolean
          deprecated: true
          description: Indicates if the business transmits customer funds
          example: false
        complianceScreeningExplanation:
          type: string
          maxLength: 1024
          description: >-
            Detailed description of the business's compliance and anti-money
            laundering controls and practices. Required when
            conductsMoneyServices is true
          example: We screen all customers against OFAC and EU sanctions lists...
        conductsMoneyServices:
          type: boolean
          description: >-
            Whether the business offers money services, investment products,
            and/or other financial services
          example: false
        conductsMoneyServicesUsingBridge:
          type: boolean
          description: >-
            Whether the business plans to conduct money services using its
            Bridge account. Required when conductsMoneyServices is true
          example: false
        conductsMoneyServicesDescription:
          type: string
          maxLength: 1024
          description: >-
            Description of the money services offered by the business. Required
            when conductsMoneyServices is true
          example: Cross-border remittances for retail customers
        approximateDepositFirstMonth:
          type: string
          maxLength: 10
          deprecated: true
          description: >-
            Deprecated: use `expectedMonthlyVolumeUsd` instead. Estimated
            deposits for the first month
      required:
        - email
        - name
        - address
    IdentityEntity:
      type: object
      properties:
        id:
          type: string
        type:
          allOf:
            - $ref: '#/components/schemas/IdentityType'
        deleted:
          type: boolean
        hasComplianceChecks:
          type: boolean
        data:
          oneOf:
            - $ref: '#/components/schemas/PersonalDataEntity'
            - $ref: '#/components/schemas/BusinessDataEntity'
          discriminator:
            propertyName: type
            mapping:
              Personal:
                $ref: '#/components/schemas/PersonalDataEntity'
              Business:
                $ref: '#/components/schemas/BusinessDataEntity'
        mastercardCredential:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/MastercardCredentialEntity'
      required:
        - id
        - type
        - deleted
        - hasComplianceChecks
        - data
    PostalAddressCreateDto:
      type: object
      properties:
        street1:
          type: string
          minLength: 3
          maxLength: 100
          description: The primary street address
          example: 123 Main St
        street2:
          type: string
          minLength: 3
          maxLength: 100
          description: Additional street address information, if applicable
          example: Apt 4B
        city:
          type: string
          minLength: 3
          maxLength: 50
          description: The city of the address
          example: New York
        state:
          type: string
          minLength: 2
          maxLength: 50
          description: >-
            The state/province/region/county code in ISO-3166-2 format. Required
            if country has subdivision. See [ISO-3166-2
            documentation](https://www.iso.org/iso-3166-country-codes.html).
          example: NY
        country:
          description: >-
            The country code in ISO-3166-2 format. See [ISO-3166-2
            documentation](https://www.iso.org/iso-3166-country-codes.html).
          example: US
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        postalCode:
          type: string
          description: The postal code for the address, validated based on the country
          example: '10001'
      required:
        - street1
        - city
        - country
    SourceOfFunds:
      type: string
      enum:
        - business_loans
        - business_revenue
        - equity_funding
        - grants
        - inter_company_funds
        - investment_proceeds
        - legal_settlement
        - legal_settlement_tax_refund
        - owners_capital
        - pension_retirement
        - sale_of_assets
        - sales_of_goods_and_services
        - third_party_funds
        - treasury_reserves
      description: >-
        The [source of
        funds](https://docs.buildborderless.com/docs/business#/source-of-funds)
        for the business
    BusinessType:
      type: string
      enum:
        - Cooperative
        - Corporation
        - Llc
        - Other
        - Partnership
        - SoleProp
        - Trust
    BusinessAccountPurpose:
      type: string
      enum:
        - charitable_donations
        - ecommerce_retail_payments
        - investment_purposes
        - other
        - payments_to_friends_or_family_abroad
        - payroll
        - personal_or_living_expenses
        - protect_wealth
        - purchase_goods_and_services
        - receive_payments_for_goods_and_services
        - tax_optimization
        - third_party_money_transmission
        - treasury_management
    ExistingUltimateBeneficialOwnerDto:
      type: object
      properties:
        hasOwnership:
          type: boolean
          description: True if this person has at least 25% ownership of the business
          example: true
        hasControl:
          type: boolean
          description: >-
            True if this is the control person of the company, having
            significant responsibility to control, manage or influence the
            activities of the business entity. At least one control person must
            be specified
          example: true
        isDirector:
          type: boolean
          description: >-
            True if this person is a director of the company. Defaults to false
            when omitted. Bridge's MiCA/EMI requirements (effective 2026-06-15)
            require this flag on every associated person of an EEA business —
            for EEA businesses the field MUST be set explicitly by the client.
          example: false
        controlPersonTitle:
          type: string
          minLength: 2
          maxLength: 100
          description: >-
            The title of this beneficial owner at the company, e.g. CEO, CFO,
            etc. Required if has_control is true
          example: CEO
        ownershipPercentage:
          type: number
          description: >-
            Ultimate ownership percentage of the business. Required when
            hasOwnership is true.
          example: 30
        isSigner:
          type: boolean
          description: >-
            True if this person is able to authorize transactions on behalf of
            the business. At least one signer must be specified
          example: true
        relationshipEstablishedAt:
          format: date-time
          type: string
          description: >-
            When the beneficial owner relationship was established in format
            yyyy-mm-dd
          example: '2023-01-15'
        attestedOwnershipStructureAt:
          format: date-time
          type: string
          description: >-
            The date when this beneficial owner attested to the correctness of
            the ownership structure in format yyyy-mm-dd
          example: '2023-01-15'
        personalIdentityId:
          type: string
          description: >-
            Id of the personal identity, who is beneficial owner of the
            business.
          example: cm9db4g2s4r7ro224ra6u1qvl
      required:
        - hasOwnership
        - hasControl
        - isSigner
        - relationshipEstablishedAt
        - personalIdentityId
    NewUltimateBeneficialOwnerDto:
      type: object
      properties:
        hasOwnership:
          type: boolean
          description: True if this person has at least 25% ownership of the business
          example: true
        hasControl:
          type: boolean
          description: >-
            True if this is the control person of the company, having
            significant responsibility to control, manage or influence the
            activities of the business entity. At least one control person must
            be specified
          example: true
        isDirector:
          type: boolean
          description: >-
            True if this person is a director of the company. Defaults to false
            when omitted. Bridge's MiCA/EMI requirements (effective 2026-06-15)
            require this flag on every associated person of an EEA business —
            for EEA businesses the field MUST be set explicitly by the client.
          example: false
        controlPersonTitle:
          type: string
          minLength: 2
          maxLength: 100
          description: >-
            The title of this beneficial owner at the company, e.g. CEO, CFO,
            etc. Required if has_control is true
          example: CEO
        ownershipPercentage:
          type: number
          description: >-
            Ultimate ownership percentage of the business. Required when
            hasOwnership is true.
          example: 30
        isSigner:
          type: boolean
          description: >-
            True if this person is able to authorize transactions on behalf of
            the business. At least one signer must be specified
          example: true
        relationshipEstablishedAt:
          format: date-time
          type: string
          description: >-
            When the beneficial owner relationship was established in format
            yyyy-mm-dd
          example: '2023-01-15'
        attestedOwnershipStructureAt:
          format: date-time
          type: string
          description: >-
            The date when this beneficial owner attested to the correctness of
            the ownership structure in format yyyy-mm-dd
          example: '2023-01-15'
        personalIdentity:
          description: Personal identity details of the beneficial owner of the business.
          allOf:
            - $ref: '#/components/schemas/PersonalIdentityCreateDto'
      required:
        - hasOwnership
        - hasControl
        - isSigner
        - relationshipEstablishedAt
        - personalIdentity
    AnnualRevenue:
      type: string
      enum:
        - Under100K
        - From100KTo1M
        - From1MTo10M
        - From10MTo50M
        - From50MTo250M
        - Over250M
    MonthlyTransactionCount:
      type: string
      enum:
        - Under10
        - From10To100
        - From100To1000
        - From1000To10000
        - From10000To100000
        - From100000To1M
        - Over1M
    ExpectedMonthlyVolumeUsd:
      type: string
      enum:
        - Under10K
        - From10KTo50K
        - From50KTo250K
        - From250KTo1M
        - From1MTo5M
        - From5MTo10M
        - Over10M
    HighRiskActivity:
      type: string
      enum:
        - adult_entertainment
        - gambling
        - hold_client_funds
        - investment_services
        - lending_banking
        - marijuana_or_related_services
        - money_services
        - nicotine_tobacco_or_related_services
        - operate_foreign_exchange_virtual_currencies_brokerage_otc
        - pharmaceuticals
        - precious_metals_precious_stones_jewelry
        - safe_deposit_box_rentals
        - third_party_payment_processing
        - weapons_firearms_and_explosives
        - none_of_the_above
    IdentityType:
      type: string
      enum:
        - Personal
        - Business
    PersonalDataEntity:
      type: object
      properties:
        firstName:
          type: string
        lastName:
          type: string
        secondLastName:
          type: string
          nullable: true
        middleName:
          type: string
          nullable: true
        taxId:
          type: string
          nullable: true
        dateOfBirth:
          type: string
          example: YYYY-MM-DD
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        activity:
          type: string
          nullable: true
        sex:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Sex'
        address:
          $ref: '#/components/schemas/PostalAddressEntity'
        documents:
          type: array
          items:
            $ref: '#/components/schemas/IdentityDocumentEntity'
        occupationCode:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Occupations'
        employmentStatus:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentStatus'
        sourceOfFunds:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PersonalSourceOfFunds'
        accountPurpose:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PersonalAccountPurpose'
        accountPurposeOther:
          type: string
          nullable: true
        monthlyAmounts:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/MonthlyAmounts'
        actingAsIntermediary:
          type: boolean
        citizenship:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        nationalities:
          type: array
          description: >-
            All nationalities held by the individual. Required for EEA-resident
            individuals.
          items:
            $ref: '#/components/schemas/CountryCode'
        placeOfBirthCountry:
          nullable: true
          description: Country of birth. Required for EEA-resident individuals.
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        placeOfBirthCity:
          type: string
          nullable: true
          description: >-
            City of birth. Recommended for EEA-resident individuals; required
            under EU law in 2027.
        hasForeignTaxRegistration:
          type: boolean
          nullable: true
          description: >-
            Whether the individual has tax registrations outside their country
            of residence. Required for EEA-resident individuals by 2026-12-31.
      required:
        - firstName
        - lastName
        - secondLastName
        - middleName
        - taxId
        - dateOfBirth
        - email
        - phone
        - activity
        - sex
        - address
        - documents
        - occupationCode
        - employmentStatus
        - sourceOfFunds
        - accountPurpose
        - accountPurposeOther
        - monthlyAmounts
        - actingAsIntermediary
        - citizenship
        - nationalities
        - placeOfBirthCountry
        - placeOfBirthCity
        - hasForeignTaxRegistration
    BusinessDataEntity:
      type: object
      properties:
        email:
          type: string
        phone:
          type: string
          nullable: true
        taxId:
          type: string
        businessRegistrationNumber:
          type: string
          nullable: true
          description: >-
            The country-issued business registration number (e.g. SIREN for FR,
            KvK for NL). Required for EEA-incorporated businesses.
        hasForeignTaxRegistration:
          type: boolean
          nullable: true
          description: >-
            Whether the business has tax registrations outside its incorporation
            country. Required for EEA-incorporated businesses by 2026-12-31.
        name:
          type: string
        dateOfIncorporation:
          type: string
          example: YYYY-MM-DD
          nullable: true
        description:
          type: string
          nullable: true
        sourceOfFunds:
          type: string
          nullable: true
        sourceOfFundsDescription:
          type: string
          nullable: true
        website:
          type: string
          nullable: true
        businessType:
          allOf:
            - $ref: '#/components/schemas/BusinessType'
        businessIndustryCode:
          type: string
          nullable: true
        isDao:
          type: boolean
          nullable: true
        hasMaterialIntermediaryOwnership:
          type: boolean
          nullable: true
        annualRevenue:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/AnnualRevenue'
        approximateMonthlyTransaction:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/MonthlyTransactionCount'
        expectedMonthlyVolumeUsd:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ExpectedMonthlyVolumeUsd'
        businessTradeName:
          type: string
          nullable: true
        accountPurpose:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/BusinessAccountPurpose'
        accountPurposeOther:
          type: string
          nullable: true
        highRiskActivities:
          type: array
          items:
            $ref: '#/components/schemas/HighRiskActivity'
        operatesInProhibitedCountries:
          type: boolean
          nullable: true
        complianceScreeningExplanation:
          type: string
          nullable: true
        conductsMoneyServices:
          type: boolean
          nullable: true
        conductsMoneyServicesUsingBridge:
          type: boolean
          nullable: true
        conductsMoneyServicesDescription:
          type: string
          nullable: true
        ultimateBeneficialOwners:
          type: array
          items:
            $ref: '#/components/schemas/BeneficialOwnerEntity'
        address:
          $ref: '#/components/schemas/PostalAddressEntity'
        documents:
          type: array
          items:
            $ref: '#/components/schemas/IdentityDocumentEntity'
        approximateDepositFirstMonth:
          type: string
          nullable: true
          deprecated: true
          description: 'Deprecated: use `expectedMonthlyVolumeUsd` instead'
      required:
        - email
        - phone
        - taxId
        - businessRegistrationNumber
        - hasForeignTaxRegistration
        - name
        - dateOfIncorporation
        - description
        - sourceOfFunds
        - sourceOfFundsDescription
        - website
        - businessType
        - businessIndustryCode
        - isDao
        - hasMaterialIntermediaryOwnership
        - annualRevenue
        - approximateMonthlyTransaction
        - expectedMonthlyVolumeUsd
        - businessTradeName
        - accountPurpose
        - accountPurposeOther
        - highRiskActivities
        - operatesInProhibitedCountries
        - complianceScreeningExplanation
        - conductsMoneyServices
        - conductsMoneyServicesUsingBridge
        - conductsMoneyServicesDescription
        - ultimateBeneficialOwners
        - address
        - documents
        - approximateDepositFirstMonth
    MastercardCredentialEntity:
      type: object
      properties:
        status:
          type: string
          description: The status of the account alias.
        countryOfResidence:
          type: string
          description: Country of residence.
        paymentMethods:
          $ref: '#/components/schemas/PaymentMethodsEntity'
        vasps:
          description: Associated VASPs.
          type: array
          items:
            type: string
        assetsAndNetworks:
          $ref: '#/components/schemas/AssetAndNetworkPaginationEntity'
      required:
        - status
    CountryCode:
      type: string
      enum:
        - AF
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CD
        - CG
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - CI
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - MK
        - RO
        - RU
        - RW
        - RE
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - US
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - AX
        - ZZ
    PersonalIdentityCreateDto:
      type: object
      properties:
        firstName:
          type: string
          minLength: 2
          maxLength: 100
          description: The first name of the person
          example: John
        lastName:
          type: string
          minLength: 2
          maxLength: 100
          description: The last name of the person
          example: Doe
        secondLastName:
          type: string
          minLength: 1
          maxLength: 100
          description: The second last name of the person
          example: Smith
        middleName:
          type: string
          minLength: 1
          maxLength: 100
          description: The middle name of the person
          example: Michael
        taxId:
          type: string
          minLength: 3
          maxLength: 20
          description: The tax identification number of the person
          example: '123456789'
        dateOfBirth:
          type: string
          description: The date of birth of the person in format yyyy-mm-dd
          format: date
          example: '2003-01-01'
        email:
          type: string
          format: email
          description: The email address of the person
          example: john.doe@example.com
        phone:
          type: string
          minLength: 7
          maxLength: 20
          description: The phone number of the person
          example: '+1234567890'
        activity:
          type: string
          minLength: 1
          maxLength: 255
          description: The activity or occupation of the person
          example: Software Engineer
        sex:
          description: The sex of the person
          example: Male
          allOf:
            - $ref: '#/components/schemas/Sex'
        occupationCode:
          description: >-
            List of [occupation
            codes](https://docs.buildborderless.com/docs/personal#occupation-codes)
          example: '172011'
          allOf:
            - $ref: '#/components/schemas/Occupations'
        employmentStatus:
          description: The employment status of the person
          example: SelfEmployed
          allOf:
            - $ref: '#/components/schemas/EmploymentStatus'
        sourceOfFunds:
          description: Primary source of funds for the person
          example: InvestmentsLoans
          allOf:
            - $ref: '#/components/schemas/PersonalSourceOfFunds'
        accountPurpose:
          description: >-
            Primary purpose of the account. Required for EEA-resident
            individuals.
          example: InvestmentPurposes
          allOf:
            - $ref: '#/components/schemas/PersonalAccountPurpose'
        accountPurposeOther:
          type: string
          description: Other account purpose (required if accountPurpose is 'Other')
        monthlyAmounts:
          description: The expected monthly amounts on the account in USD
          example: From10KTo50K
          allOf:
            - $ref: '#/components/schemas/MonthlyAmounts'
        actingAsIntermediary:
          type: boolean
          description: Whether the person is acting as an intermediary for another party
          example: false
        citizenship:
          description: >-
            The country of citizenship in ISO-3166-2 format. See [ISO-3166-2
            documentation](https://www.iso.org/iso-3166-country-codes.html).
            Deprecated for EEA-resident individuals; use `nationalities`
            instead.
          example: US
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        nationalities:
          type: array
          description: >-
            All nationalities held by the individual, in ISO-3166-2 format.
            Required for EEA-resident individuals (Bridge MiCA/EMI requirement).
          example:
            - FR
            - US
          items:
            $ref: '#/components/schemas/CountryCode'
        placeOfBirthCountry:
          description: >-
            The country where the individual was born, in ISO-3166-2 format.
            Required for EEA-resident individuals (Bridge MiCA/EMI requirement).
          example: FR
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        placeOfBirthCity:
          type: string
          minLength: 1
          maxLength: 50
          description: >-
            The city where the individual was born. Recommended for EEA-resident
            individuals; will be required under EU law in 2027.
          example: Paris
        hasForeignTaxRegistration:
          type: boolean
          description: >-
            Whether the individual has tax registrations with any tax authority
            outside their country of residence. Required for EEA-resident
            individuals by 2026-12-31.
          example: false
        address:
          description: The address of the person
          allOf:
            - $ref: '#/components/schemas/PostalAddressCreateDto'
      required:
        - firstName
        - lastName
        - address
    Sex:
      type: string
      enum:
        - Male
        - Female
    PostalAddressEntity:
      type: object
      properties:
        id:
          type: string
        street1:
          type: string
        street2:
          type: string
          nullable: true
        city:
          type: string
        state:
          type: string
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        postalCode:
          type: string
      required:
        - id
        - street1
        - street2
        - city
        - state
        - country
        - postalCode
    IdentityDocumentEntity:
      type: object
      properties:
        id:
          type: string
        issuingCountry:
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        type:
          allOf:
            - $ref: '#/components/schemas/IdentityDocumentType'
        subType:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/IdentityDocumentSubType'
        idNumber:
          type: string
          nullable: true
        issuedDate:
          type: string
          example: YYYY-MM-DD
          nullable: true
        expiryDate:
          type: string
          example: YYYY-MM-DD
          nullable: true
      required:
        - id
        - issuingCountry
        - type
        - subType
        - idNumber
        - issuedDate
        - expiryDate
    Occupations:
      type: string
      enum:
        - '132011'
        - '272011'
        - '152011'
        - '291291'
        - '519191'
        - '113012'
        - '112011'
        - '413011'
        - '172011'
        - '131011'
        - '194010'
        - '191010'
        - '172021'
        - '452011'
        - '532020'
        - '493011'
        - '532010'
        - '512011'
        - '533011'
        - '452021'
        - '392021'
        - '339011'
        - '392011'
        - '171011'
        - '173011'
        - '119041'
        - '254010'
        - '271010'
        - '192010'
        - '272021'
        - '192021'
        - '291181'
        - '492097'
        - '493021'
        - '493022'
        - '493023'
        - '492091'
        - '396010'
        - '333011'
        - '513011'
        - '395011'
        - '353011'
        - '433011'
        - '433021'
        - '172031'
        - '191020'
        - '194021'
        - '472011'
        - '433031'
        - '472020'
        - '273011'
        - '274010'
        - '434011'
        - '132031'
        - '493031'
        - '131199'
        - '513020'
        - '131021'
        - '517011'
        - '292031'
        - '435011'
        - '472031'
        - '472040'
        - '412010'
        - '472050'
        - '351011'
        - '172041'
        - '519010'
        - '194031'
        - '192030'
        - '111011'
        - '211021'
        - '399011'
        - '291011'
        - '172051'
        - '131030'
        - '537061'
        - '212011'
        - '193033'
        - '292010'
        - '272022'
        - '499091'
        - '271021'
        - '499092'
        - '432099'
        - '113111'
        - '131141'
        - '131041'
        - '151221'
        - '113021'
        - '172061'
        - '151241'
        - '519160'
        - '151299'
        - '151251'
        - '151230'
        - '151211'
        - '492011'
        - '191030'
        - '474011'
        - '472070'
        - '472061'
        - '119021'
        - '499010'
        - 5370XX
        - '352010'
        - '333012'
        - '434021'
        - '131051'
        - '211019'
        - '412021'
        - '435021'
        - '273092'
        - '434031'
        - '537021'
        - '132041'
        - '434041'
        - '132070'
        - '339091'
        - '519020'
        - '434051'
        - '519030'
        - '514031'
        - '272030'
        - '439021'
        - 15124X
        - '519080'
        - '319091'
        - '291292'
        - '291020'
        - '475010'
        - '439031'
        - '333021'
        - '292032'
        - 29205X
        - '291031'
        - '359011'
        - '212021'
        - '272091'
        - '359021'
        - '435032'
        - '419091'
        - '533030'
        - '472080'
        - '475023'
        - '193011'
        - '273041'
        - '119030'
        - '211012'
        - '492092'
        - '173023'
        - '172070'
        - '492093'
        - 49209X
        - '499051'
        - '512020'
        - '472111'
        - '492096'
        - '252020'
        - '474021'
        - '434061'
        - 3940XX
        - '119161'
        - '292042'
        - '291214'
        - '512031'
        - '172199'
        - '272099'
        - '119070'
        - '172081'
        - '194040'
        - '192041'
        - '519194'
        - '475022'
        - '436011'
        - '291128'
        - '399031'
        - '475032'
        - '519041'
        - '113013'
        - '119013'
        - '271022'
        - '353023'
        - '474031'
        - '434071'
        - '132051'
        - '433099'
        - '132061'
        - '113031'
        - '332020'
        - '332011'
        - '552010'
        - '471011'
        - '331011'
        - '451011'
        - '331021'
        - '351012'
        - '371011'
        - '371012'
        - '491011'
        - '411012'
        - '431011'
        - '331012'
        - '511011'
        - '331099'
        - '411011'
        - '331091'
        - '333031'
        - '453031'
        - '532031'
        - '271023'
        - '513091'
        - '513092'
        - '513093'
        - '359099'
        - '352021'
        - '513099'
        - '353041'
        - '119051'
        - '454011'
        - '514020'
        - '131131'
        - '119171'
        - '519051'
        - '517021'
        - '433041'
        - '393010'
        - '111021'
        - 19204X
        - '472121'
        - '452041'
        - '271024'
        - '514033'
        - '395012'
        - '474041'
        - '291299'
        - '211022'
        - '499021'
        - '493040'
        - '499098'
        - '519198'
        - '473010'
        - '474051'
        - '499031'
        - '311121'
        - '359031'
        - '434081'
        - '434161'
        - '113121'
        - '131070'
        - 49904X
        - '172110'
        - '113051'
        - '537051'
        - '434199'
        - '151212'
        - '519061'
        - '472130'
        - '439041'
        - '413021'
        - '132053'
        - '271025'
        - '273091'
        - '434111'
        - 37201X
        - '519071'
        - '231020'
        - '231012'
        - '537062'
        - '171012'
        - '373011'
        - '516011'
        - '231011'
        - '436012'
        - '232099'
        - '111031'
        - '254022'
        - '434121'
        - '254031'
        - '292061'
        - '191099'
        - '434131'
        - '499094'
        - '534010'
        - '119081'
        - '454020'
        - '131081'
        - '537063'
        - '514041'
        - '292035'
        - '372012'
        - '439051'
        - '499071'
        - '499043'
        - '131111'
        - '119199'
        - '395092'
        - '499095'
        - '172121'
        - '131161'
        - '112021'
        - '211013'
        - '319011'
        - '172131'
        - '152021'
        - '172141'
        - '274099'
        - '273099'
        - '119111'
        - '319092'
        - '292072'
        - '191040'
        - '436013'
        - '319094'
        - '131121'
        - '211023'
        - '211014'
        - '271026'
        - '514050'
        - '435041'
        - '553010'
        - '551010'
        - '554010'
        - '499044'
        - '172151'
        - '452090'
        - '474090'
        - '292090'
        - '518090'
        - '193090'
        - '493090'
        - '514060'
        - '419010'
        - '514070'
        - '519195'
        - '394031'
        - '533099'
        - '272041'
        - '272042'
        - '119121'
        - '151244'
        - '434141'
        - '273023'
        - '172161'
        - 29203X
        - '194051'
        - '291151'
        - '291161'
        - '291171'
        - '311131'
        - '195010'
        - '291122'
        - '312010'
        - '439199'
        - '439061'
        - '439071'
        - '152031'
        - '292081'
        - '291041'
        - '434151'
        - 31113X
        - 5120XX
        - 21109X
        - 27102X
        - 17301X
        - 2590XX
        - 17302X
        - 3930XX
        - 4750XX
        - 1320XX
        - 37301X
        - '299000'
        - 31909X
        - 49909X
        - 1940XX
        - 51403X
        - 5371XX
        - 1520XX
        - 514XXX
        - 39509X
        - 2912XX
        - 51919X
        - 5191XX
        - 33909X
        - 19303X
        - 5340XX
        - 2530XX
        - 51609X
        - 5360XX
        - 5170XX
        - '519111'
        - '537064'
        - '472140'
        - '519120'
        - '519196'
        - '232011'
        - '292043'
        - '536021'
        - '333041'
        - '412022'
        - '536061'
        - '433051'
        - '399099'
        - '132052'
        - '119179'
        - '372021'
        - '172171'
        - '291051'
        - '319095'
        - '292052'
        - '319097'
        - '274021'
        - '519151'
        - '192099'
        - '291123'
        - '312020'
        - '291071'
        - '472151'
        - '472161'
        - '472152'
        - '291081'
        - '333050'
        - '435051'
        - '435052'
        - '435053'
        - '119131'
        - '251000'
        - '518010'
        - '499060'
        - '515111'
        - '252010'
        - '516021'
        - '515113'
        - '515112'
        - '339021'
        - '211092'
        - '433061'
        - '272012'
        - '435061'
        - '131082'
        - '439081'
        - '132020'
        - '119141'
        - '292053'
        - '112030'
        - '273031'
        - '435031'
        - '537070'
        - '131023'
        - '113061'
        - '291124'
        - '492020'
        - '292034'
        - '291224'
        - '474061'
        - '534031'
        - '419020'
        - '434171'
        - '399032'
        - '291125'
        - '537081'
        - '291141'
        - '211015'
        - '472171'
        - '212099'
        - '434181'
        - '399041'
        - '291126'
        - '412031'
        - '499096'
        - '472181'
        - '475071'
        - '535011'
        - '419099'
        - '419031'
        - '112022'
        - '413091'
        - '414010'
        - '517041'
        - '533051'
        - '339094'
        - '193034'
        - '252030'
        - '436014'
        - '413031'
        - '492098'
        - '339030'
        - '474071'
        - '516031'
        - '472211'
        - '535020'
        - '535031'
        - '435071'
        - '516040'
        - '533053'
        - '395094'
        - '493050'
        - '119151'
        - '211093'
        - '194061'
        - '211029'
        - '193041'
        - '151252'
        - '151253'
        - '472231'
        - '252050'
        - '291127'
        - '518021'
        - '439111'
        - '152041'
        - '537065'
        - '472221'
        - '512041'
        - '211011'
        - '391000'
        - '531000'
        - '291240'
        - '292055'
        - '193022'
        - '173031'
        - '171020'
        - '432011'
        - '516050'
        - '132081'
        - '132082'
        - '533054'
        - '259040'
        - '273042'
        - '499052'
        - '419041'
        - '432021'
        - '274030'
        - '433071'
        - '516060'
        - '291129'
        - '519197'
        - '232093'
        - '514111'
        - '397010'
        - '113131'
        - '131151'
        - '533052'
        - '536051'
        - '339093'
        - '536030'
        - '113071'
        - '413041'
        - '373013'
        - '253041'
        - '272023'
        - '475040'
        - '999999'
        - '516093'
        - '193051'
        - '393031'
        - '291131'
        - '319096'
        - '292056'
        - '353031'
        - '518031'
        - '151255'
        - '151254'
        - '435111'
        - '514120'
        - '131022'
        - '499081'
        - '517042'
        - '439022'
        - '273043'
    EmploymentStatus:
      type: string
      enum:
        - Employed
        - Homemaker
        - Retired
        - SelfEmployed
        - Student
        - Unemployed
    PersonalSourceOfFunds:
      type: string
      enum:
        - CompanyFunds
        - EcommerceReseller
        - GamblingProceeds
        - Gifts
        - GovernmentBenefits
        - Inheritance
        - InvestmentsLoans
        - PensionRetirement
        - Salary
        - SaleOfAssetsRealEstate
        - Savings
        - SomeoneElsesFunds
    PersonalAccountPurpose:
      type: string
      enum:
        - CharitableDonations
        - EcommerceRetailPayments
        - InvestmentPurposes
        - OperatingACompany
        - Other
        - PaymentsToFriendsOrFamilyAbroad
        - Payroll
        - PersonalOrLivingExpenses
        - ProtectWealth
        - PurchaseGoodsAndServices
        - ReceivePaymentForFreelancing
        - ReceivePaymentsForGoodsAndServices
        - ReceiveSalary
        - TaxOptimization
        - ThirdPartyMoneyTransmission
        - TreasuryManagement
    MonthlyAmounts:
      type: string
      enum:
        - LessThan5K
        - From5KTo10K
        - From10KTo50K
        - GreaterThan50K
    BeneficialOwnerEntity:
      type: object
      properties:
        personalIdentityId:
          type: string
        hasOwnership:
          type: boolean
        ownershipPercentage:
          type: number
          nullable: true
        hasControl:
          type: boolean
        controlPersonTitle:
          type: string
          nullable: true
        isSigner:
          type: boolean
        isDirector:
          type: boolean
          description: >-
            True if this person is a director of the company. Required on every
            associated person of an EEA-incorporated business (Bridge MiCA/EMI).
        relationshipEstablishedAt:
          type: string
          example: YYYY-MM-DD
          nullable: true
        attestedOwnershipStructureAt:
          type: string
          example: YYYY-MM-DD
          nullable: true
      required:
        - personalIdentityId
        - hasOwnership
        - ownershipPercentage
        - hasControl
        - controlPersonTitle
        - isSigner
        - isDirector
        - relationshipEstablishedAt
        - attestedOwnershipStructureAt
    PaymentMethodsEntity:
      type: object
      properties:
        cryptoWallet:
          $ref: '#/components/schemas/CryptoWalletEntity'
        bankAccount:
          $ref: '#/components/schemas/BankAccountEntity'
    AssetAndNetworkPaginationEntity:
      type: object
      properties:
        offset:
          type: number
        limit:
          type: number
        count:
          type: number
        total:
          type: number
        items:
          type: array
          items:
            $ref: '#/components/schemas/AssetAndNetworkEntity'
    IdentityDocumentType:
      type: string
      enum:
        - Passport
        - DriverLicense
        - NationalId
        - ResidencePermit
        - Formation
        - Ownership
        - ProofOfAddress
        - SourceOfFunds
        - IndividualHolding
        - BVN_NG
        - Selfie
        - Aadhaar
        - PAN
        - TaxId
        - LetterOfAuthority
        - EvidenceOfGoodStanding
        - ProofOfNatureOfBusiness
        - Other
    IdentityDocumentSubType:
      type: string
      enum:
        - UtilityBill
        - BankStatement
        - RentalAgreement
        - TaxDocument
        - GovernmentCorrespondence
    CryptoWalletEntity:
      type: object
      properties:
        cryptoSupportedAssets:
          type: array
          items:
            type: string
    BankAccountEntity:
      type: object
      properties:
        bankSupportedCurrencies:
          type: array
          items:
            type: string
    AssetAndNetworkEntity:
      type: object
      properties:
        asset:
          type: string
        network:
          type: string
        supportedVasps:
          type: array
          items:
            type: string
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````